| OpenCV 3.4.8 Open Source Computer Vision

Classes | Typedefs | Functions
EdgeBoxes
Extended Image Processing

## Classes
struct | cv::ximgproc::Box
class | cv::ximgproc::EdgeBoxes
| Class implementing EdgeBoxes algorithm from [243] : More...

## Typedefs
typedef std::vector< Box > | cv::ximgproc::Boxes

## Functions
Ptr< EdgeBoxes > | cv::ximgproc::createEdgeBoxes (float alpha=0.65f, float beta=0.75f, float eta=1, float minScore=0.01f, int maxBoxes=10000, float edgeMinMag=0.1f, float edgeMergeThr=0.5f, float clusterMinMag=0.5f, float maxAspectRatio=3, float minBoxArea=1000, float gamma=2, float kappa=1.5f)
| Creates a Edgeboxes. More...

## Detailed Description

## Typedef Documentation

## § Boxes

typedef std::vector<Box> cv::ximgproc::Boxes

`#include <opencv2/ximgproc/edgeboxes.hpp>`

## Function Documentation

## § createEdgeBoxes()

Ptr<EdgeBoxes> cv::ximgproc::createEdgeBoxes | ( | float | alpha = `0.65f`,
|  | float | beta = `0.75f`,
|  | float | eta = `1`,
|  | float | minScore = `0.01f`,
|  | int | maxBoxes = `10000`,
|  | float | edgeMinMag = `0.1f`,
|  | float | edgeMergeThr = `0.5f`,
|  | float | clusterMinMag = `0.5f`,
|  | float | maxAspectRatio = `3`,
|  | float | minBoxArea = `1000`,
|  | float | gamma = `2`,
|  | float | kappa = `1.5f`
| ) |  |

Python:
| retval | = | cv.ximgproc.createEdgeBoxes( | [, alpha[, beta[, eta[, minScore[, maxBoxes[, edgeMinMag[, edgeMergeThr[, clusterMinMag[, maxAspectRatio[, minBoxArea[, gamma[, kappa]]]]]]]]]]]] | )

`#include <opencv2/ximgproc/edgeboxes.hpp>`

Creates a Edgeboxes.

Parameters

  alpha | step size of sliding window search.
  beta | nms threshold for object proposals.
  eta | adaptation rate for nms threshold.
  minScore | min score of boxes to detect.
  maxBoxes | max number of boxes to detect.
  edgeMinMag | edge min magnitude. Increase to trade off accuracy for speed.
  edgeMergeThr | edge merge threshold. Increase to trade off accuracy for speed.
  clusterMinMag | cluster min magnitude. Increase to trade off accuracy for speed.
  maxAspectRatio | max aspect ratio of boxes.
  minBoxArea | minimum area of boxes.
  gamma | affinity sensitivity.
  kappa | scale sensitivity.